/********************************************************************
 Software License Agreement:

 The software supplied herewith by Microchip Technology Incorporated
 (the "Company") for its PIC(R) Microcontroller is intended and
 supplied to you, the Company's customer, for use solely and
 exclusively on Microchip PIC Microcontroller products. The
 software is owned by the Company and/or its supplier, and is
 protected under applicable copyright laws. All rights are reserved.
 Any use in violation of the foregoing restrictions may subject the
 user to criminal sanctions under applicable laws, as well as to
 civil liability for the breach of the terms and conditions of this
 license.

 THIS SOFTWARE IS PROVIDED IN AN "AS IS" CONDITION. NO WARRANTIES,
 WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING, BUT NOT LIMITED
 TO, IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
 PARTICULAR PURPOSE APPLY TO THIS SOFTWARE. THE COMPANY SHALL NOT,
 IN ANY CIRCUMSTANCES, BE LIABLE FOR SPECIAL, INCIDENTAL OR
 CONSEQUENTIAL DAMAGES, FOR ANY REASON WHATSOEVER.
 *******************************************************************/

#ifndef SYSTEM_H
#define SYSTEM_H

#include <xc.h>
#include <stdbool.h>

//#include <buttons.h>
//#include <leds.h>

//#include <io_mapping.h>
#include "fixed_address_memory.h"
//#include <power.h>
#include "usb_config.h"

#define MAIN_RETURN void

void InitInterTimer0 (void);
void SetgNo();
void Int_Low();

#define _XTAL_FREQ  48000000             //__delay_ms

unsigned char CH[10] = { 0x3F,0x06,0x5B,0x4F,0x66,0x6D,0x7D,0x07,0x7F,0x6F};//７セグLED
unsigned char gCT=0;//カウンタ
unsigned long gCT2=0,gCT3=0;//カウンタ
unsigned short gNo=1234;//７セグLED表示
unsigned char gNo3,gNo2,gNo1,gNo0;//７セグLED表示
long SX=0,SX2=0;//総和用
unsigned char M0;//動作モード
unsigned short gN;//計測間隔
unsigned short gSNo;//計測データ数
unsigned char fStart=0;//記録開始、停止
unsigned char BfStart;//ひとつ前の状態
unsigned char fOut=0;//USB送信フラグ
unsigned short gi;//USB送信No

unsigned short gPC=0;//パルスモータカウンタ
unsigned char CH2[4] = { 0x04,0x08,0x10,0x20};//パルスモータ励磁

unsigned char gVth;//荷重閾値
unsigned short  gADC0;//荷重初期値
unsigned short  gADC1;//荷重直前値
unsigned char fStart2=0;//下降開始、停止
unsigned char fStart3=0;//上昇開始、停止







/*** System States **************************************************/
typedef enum
{
    SYSTEM_STATE_USB_START,
    SYSTEM_STATE_USB_SUSPEND,
    SYSTEM_STATE_USB_RESUME
} SYSTEM_STATE;

/*********************************************************************
* Function: void SYSTEM_Initialize( SYSTEM_STATE state )
*
* Overview: Initializes the system.
*
* PreCondition: None
*
* Input:  SYSTEM_STATE - the state to initialize the system into
*
* Output: None
*
********************************************************************/
void SYSTEM_Initialize( SYSTEM_STATE state );

/*********************************************************************
* Function: void SYSTEM_Tasks(void)
*
* Overview: Runs system level tasks that keep the system running
*
* PreCondition: System has been initalized with SYSTEM_Initialize()
*
* Input: None
*
* Output: None
*
********************************************************************/
//void SYSTEM_Tasks(void);
#define SYSTEM_Tasks()

#endif //SYSTEM_H
